summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuild/mac/build_app_dmg15
-rwxr-xr-xbuild/mac/dump_app_syms9
-rwxr-xr-xbuild/mac/tweak_app_infoplist12
-rw-r--r--chrome/app/app-Info.plist2
-rw-r--r--chrome/chrome.gyp33
-rw-r--r--chrome/common/mac_app_names.h2
-rw-r--r--chrome/tools/build/mac/FILES-official2
7 files changed, 54 insertions, 21 deletions
diff --git a/build/mac/build_app_dmg b/build/mac/build_app_dmg
index ec12418..2108959 100755
--- a/build/mac/build_app_dmg
+++ b/build/mac/build_app_dmg
@@ -21,11 +21,20 @@ set -e
TOP="${SRCROOT}/.."
PKG_DMG="${TOP}/build/mac/pkg-dmg"
-APP_NAME=$1
+BUILD_BRANDING=$1
+if [ "${BUILD_BRANDING}" == "Chromium" ]; then
+ APP_NAME="Chromium"
+ DMG_NAME="Chromium.dmg"
+elif [ "${BUILD_BRANDING}" == "Chrome" ]; then
+ APP_NAME="Google Chrome"
+ DMG_NAME="GoogleChrome.dmg"
+else
+ echo "error: unknown branding: ${BUILD_BRANDING}" >&2
+ exit 1
+fi
+
SRC_APP_PATH="${BUILT_PRODUCTS_DIR}/${APP_NAME}.app"
VOL_NAME="${APP_NAME}"
-# Do we want a svn version in the DMG name?
-DMG_NAME="${APP_NAME}.dmg"
DST_DMG_PATH="${BUILT_PRODUCTS_DIR}/${DMG_NAME}"
# show things as we run them
diff --git a/build/mac/dump_app_syms b/build/mac/dump_app_syms
index a1e497c..6b2a8a7 100755
--- a/build/mac/dump_app_syms
+++ b/build/mac/dump_app_syms
@@ -19,10 +19,17 @@ fi
TOP="${SRCROOT}/.."
BUILD_BRANDING=$1
+if [ "${BUILD_BRANDING}" == "Chromium" ]; then
+ SRC_APP_NAME="Chromium"
+elif [ "${BUILD_BRANDING}" == "Chrome" ]; then
+ SRC_APP_NAME="Google Chrome"
+else
+ echo "error: unknown branding: ${BUILD_BRANDING}" >&2
+ exit 1
+fi
. "${TOP}/chrome/VERSION"
-SRC_APP_NAME="${BUILD_BRANDING}"
BREAKPAD_DUMP_SYMS="${BUILT_PRODUCTS_DIR}/dump_syms"
BREAKPAD_PRODUCT_ID="${BUILD_BRANDING}_Mac"
FULL_VERSION="${MAJOR}.${MINOR}.${BUILD}.${PATCH}"
diff --git a/build/mac/tweak_app_infoplist b/build/mac/tweak_app_infoplist
index f8a062d..23c3984 100755
--- a/build/mac/tweak_app_infoplist
+++ b/build/mac/tweak_app_infoplist
@@ -54,7 +54,15 @@ fi
TOP="${SRCROOT}/.."
BUILD_BRANDING=$1
-SRC_APP_PATH="${BUILT_PRODUCTS_DIR}/${BUILD_BRANDING}.app"
+if [ "${BUILD_BRANDING}" == "Chromium" ]; then
+ APP_NAME="Chromium"
+elif [ "${BUILD_BRANDING}" == "Chrome" ]; then
+ APP_NAME="Google Chrome"
+else
+ echo "error: unknown branding: ${BUILD_BRANDING}" >&2
+ exit 1
+fi
+SRC_APP_PATH="${BUILT_PRODUCTS_DIR}/${APP_NAME}.app"
set -x
@@ -85,7 +93,7 @@ COPYRIGHT_STRING=$(sed -n -e 's/^COPYRIGHT=\(.*\)$/\1/p' "${BRANDING_FILE}")
COPYRIGHT_STRING=$(echo "${COPYRIGHT_STRING}" | sed -e $'s/([cC])/\302\251/g')
# Build the full copyright string
-LONG_COPYRIGHT="${BUILD_BRANDING} ${FULL_VERSION}, ${COPYRIGHT_STRING}"
+LONG_COPYRIGHT="${APP_NAME} ${FULL_VERSION}, ${COPYRIGHT_STRING}"
# I really hate how "defaults" doesn't take a real pathname but instead insists
# on appending ".plist" to everything.
diff --git a/chrome/app/app-Info.plist b/chrome/app/app-Info.plist
index 8c18310..4c8c2a1 100644
--- a/chrome/app/app-Info.plist
+++ b/chrome/app/app-Info.plist
@@ -123,7 +123,7 @@
<key>CFBundleInfoDictionaryVersion</key>
<string>6.0</string>
<key>CFBundleName</key>
- <string>${EXECUTABLE_NAME}</string>
+ <string>${CHROMIUM_SHORT_NAME}</string>
<key>CFBundlePackageType</key>
<string>APPL</string>
<key>CFBundleSignature</key>
diff --git a/chrome/chrome.gyp b/chrome/chrome.gyp
index 886f642..fcc77cd 100644
--- a/chrome/chrome.gyp
+++ b/chrome/chrome.gyp
@@ -1958,10 +1958,6 @@
['OS=="mac"', {
# 'branding' is a variable defined in common.gypi
# (e.g. "Chromium", "Chrome")
- # NOTE: chrome/app/theme/chromium/BRANDING and
- # chrome/app/theme/google_chrome/BRANDING have the short names, etc.;
- # should we try to extract from there instead?
- 'product_name': '<(branding)',
'conditions': [
['branding=="Chrome"', {
'mac_bundle_resources': ['app/theme/google_chrome/app.icns'],
@@ -1983,7 +1979,7 @@
],
'copies': [
{
- 'destination': '<(PRODUCT_DIR)/<(branding).app/Contents/Resources/',
+ 'destination': '<(PRODUCT_DIR)/<(mac_product_name).app/Contents/Resources/',
'files': ['<(PRODUCT_DIR)/crash_inspector', '<(PRODUCT_DIR)/crash_report_sender.app'],
},
],
@@ -2004,11 +2000,15 @@
],
}], # mac_breakpad
],
+ 'product_name': '<(mac_product_name)',
'xcode_settings': {
- # chrome/app/app-Info.plist has a CFBundleIdentifier of
- # CHROMIUM_BUNDLE_ID to be replaced by a branded bundle ID in Xcode
- # with this settings.
+ # chrome/app/app-Info.plist has:
+ # CFBundleIdentifier of CHROMIUM_BUNDLE_ID
+ # CFBundleName of CHROMIUM_SHORT_NAME
+ # Xcode then replaces these values with the branded values we set
+ # as settings on the target.
'CHROMIUM_BUNDLE_ID': '<(bundle_id)',
+ 'CHROMIUM_SHORT_NAME': '<(branding)',
},
}, { # else: OS != "mac"
'conditions': [
@@ -2992,15 +2992,24 @@
},
],
'conditions': [
- # We set a few feature variables so the different parts that need to check
- # for the mac build, check that flag instead of coding it based on branding.
+ # We set a feature variable so the different parts that need to check for
+ # the mac build use of breakpad, check that flag instead of coding it based
+ # on branding.
+ # We need the Mac app name on disk, so we stick this into a variable so
+ # the different places that need it can use the common variable.
+ # NOTE: chrome/app/theme/chromium/BRANDING and
+ # chrome/app/theme/google_chrome/BRANDING have the short names, etc.;
+ # but extracting from there still means xcodeproject are out of date until
+ # the next project regeneration.
['OS=="mac" and branding=="Chrome"', {
'variables': {
- 'mac_breakpad%': 1
+ 'mac_breakpad%': 1,
+ 'mac_product_name%': 'Google Chrome',
}
}, {
'variables': {
- 'mac_breakpad%': 0
+ 'mac_breakpad%': 0,
+ 'mac_product_name%': 'Chromium',
}
}],
['OS=="linux"', {
diff --git a/chrome/common/mac_app_names.h b/chrome/common/mac_app_names.h
index 645fdca..ab70987 100644
--- a/chrome/common/mac_app_names.h
+++ b/chrome/common/mac_app_names.h
@@ -6,7 +6,7 @@
#define CHROME_COMMON_MAC_APP_NAMES_H_
#if defined(GOOGLE_CHROME_BUILD)
-#define MAC_BROWSER_APP_NAME "Chrome.app"
+#define MAC_BROWSER_APP_NAME "Google Chrome.app"
#elif defined(CHROMIUM_BUILD)
#define MAC_BROWSER_APP_NAME "Chromium.app"
#else
diff --git a/chrome/tools/build/mac/FILES-official b/chrome/tools/build/mac/FILES-official
index f57db07..fd80032 100644
--- a/chrome/tools/build/mac/FILES-official
+++ b/chrome/tools/build/mac/FILES-official
@@ -1 +1 @@
-Chrome.app
+Google Chrome.app